<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once("../../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");
require_once("../include/common.php");
//require_once(ADMIN."navigation.php");
//require_once("../include/admin.php");

if(!iPDP_MOD) {
	fallback("../index.php");
}
if(!$download->id) {
	fallback("downloads.php");
}


/*
 * GUI
 */
opentable($locale['PDP880']);

$do_del = isset($_POST['del']);

echo $locale['PDP881'].": <a href='../edit_admin.php?did=".$download->id."'>"
	.$locale['PDP035']."</a>\n";

if($do_del) {
	echo "</form>

<p><b>".$locale['PDP884']."</b>\n";

	if(iPDP_ADMIN) {
		echo "<p>
<form method='get' action='downloads.php'>
<input type='submit' class='button' value='".$locale['PDP036']."'>
</form>\n";
	} else {
		echo "<p>
<form method='get' action='../mod.php'>
<input type='submit' class='button' value='".$locale['PDP600']."'>
</form>\n";
	}
}




echo "<p>
<form action='".FUSION_SELF."?did=".$download->id."' method='post'>\n";

// download
echo "<p><b>".$locale['PDP002'].":</b> "
	."<a href='download.php?did=".$download->id."'>".$download->data['dl_name']."</a>\n";
if($do_del) {
	$cat_id = array_shift(dbarray(dbquery("SELECT cat_id"
		." FROM ".DB_PREFIX."pdp_downloads"
		." WHERE download_id='".$download->id."'")));
	$ok = dbquery("UPDATE ".DB_PREFIX."pdp_cats"
		." SET"
		." count_downloads=count_downloads-1"
		." WHERE cat_id='".$cat_id."'");
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_downloads"
		." WHERE download_id='".$download->id."'");
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// votes
echo "<p><b>".$locale['PDP202'].":</b> "
	.dbcount("(*)", "pdp_votes", "(download_id='".$download->id."')");
if($do_del) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_votes"
		." WHERE download_id='".$download->id."'");
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// comments
echo "<p><b>".$locale['PDP021'].":</b> "
	.dbcount("(*)", "pdp_comments", "(download_id='".$download->id."')");
if($do_del) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_comments"
		." WHERE download_id='".$download->id."'");
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// subscibers
echo "<p>
<b>".$locale['PDP061'].":</b> "
	.dbcount("(*)", "pdp_notify", "(download_id='".$download->id."')");
if($do_del) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_notify"
		." WHERE download_id='".$download->id."'");
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// logs
echo "<p><b>".$locale['PDP454'].":</b> "
	.dbcount("(*)", "pdp_log", "(download_id='".$download->id."')");
if($do_del) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_log"
		." WHERE download_id='".$download->id."'");
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// files
echo "<p><b>".$locale['PDP019'].":</b>";
if(!is_writeable($pdp->settings['upload_file'])) {
	echo " <span class='small2'>"
		.str_replace("%s", "<b>".$pdp->settings['upload_file']."</b>",
			$locale['PDP885'])
		."</span>\n";
}
$query_id = dbquery("SELECT file_url, file_id FROM ".DB_PREFIX."pdp_files"
	." WHERE download_id='".$download->id."'");
if(dbrows($query_id)) {
	echo "<ul>\n".$locale['PDP886']."<br>\n";
}
if($do_del) {
	if(isset($_POST['del_file'])) {
		$del_this = $_POST['del_file'];
	} else {
		$del_this = array();
	}
}
while($data = dbarray($query_id)) {
	$del = "";
	if($do_del && !pdp_is_external($data['file_url'])
		&& in_array($data['file_id'], $del_this)) {
		$ok = unlink($pdp->settings['upload_file'].$data['file_url']);
		if($ok) {
			$del = " - ".$locale['PDP883'];
		}
	}
	echo "<input type='checkbox' name='del_file[]'"
		." value='".$data['file_id']."'> "
		.pdp_cleanup_filename($data['file_url'])."$del<br>\n";
}
if(dbrows($query_id)) {
	echo "</ul>\n";
}
if($do_del) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_files"
		." WHERE download_id='".$download->id."'");
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// images
echo "<p>
<b>".$locale['PDP015'].":</b>";
if(!is_writeable($pdp->settings['upload_image'])) {
	echo " <span class='small2'>"
		.str_replace("%s", "<b>".$pdp->settings['upload_image']."</b>",
			$locale['PDP885'])
		."</span>\n";
}
$query_id = dbquery("SELECT pic_url, pic_id FROM ".DB_PREFIX."pdp_images"
	." WHERE download_id='".$download->id."'");
if(dbrows($query_id)) {
	echo "<ul>\n".$locale['PDP886']."<br>\n";
}
if($do_del) {
	if(isset($_POST['del_pic'])) {
		$del_this = $_POST['del_pic'];
	} else {
		$del_this = array();
	}
}
while($data = dbarray($query_id)) {
	$del = "";
	if($do_del && !pdp_is_external($data['pic_url'])
		&& in_array($data['pic_id'], $del_this)) {
		$ok = unlink($pdp->settings['upload_image'].$data['pic_url']);
		if($ok) {
			$del = " - ".$locale['PDP883'];
		}
	}
	echo "<input type='checkbox' name='del_pic[]'"
		." value='".$data['pic_id']."'> "
		.pdp_cleanup_filename($data['pic_url'])."$del<br>\n";
}
if(dbrows($query_id)) {
	echo "</ul>\n";
}
if($do_del) {
	$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_images"
		." WHERE download_id='".$download->id."'");
	if($ok) {
		echo "<br>".$locale['PDP883'];
	}
}


// GO!
if(!$do_del) {
	echo "<p>
<input type='checkbox' name='del'> ".$locale['PDP887']."<br>
<input type='submit' class='button' value='".$locale['PDP009']."'>
</form>\n";
}
closetable();

require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
