<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once('../../../maincore.php');
require_once(BASEDIR.'subheader.php');
require_once(ADMIN.'navigation.php');
require_once('../include/admin.php');
if(!iPDP_ADMIN) {
	fallback('../index.php');
}


if(isset($_GET['id']) && isNum($_GET['id'])) {
	$id = $_GET['id'];
} else {
	unset($id);
}


/*
 * ACTION
 */
if(isset($_POST['save'])) {
	$name = trim(stripinput($_POST['name']));
	if(empty($name)) {
		fallback(FUSION_SELF);
	}
	$text = addslash($_POST['text']);

	if(isset($id)) {
		$ok = dbquery("UPDATE ".DB_PREFIX."pdp_licenses"
			." SET license_name='$name', license_text='$text'"
			." WHERE license_id='$id'");
	} else {
		$ok = dbquery("INSERT INTO ".DB_PREFIX."pdp_licenses"
			." (license_name, license_text)"
			." VALUES ('$name', '$text')");
	}
	fallback(FUSION_SELF);

} elseif(isset($_GET['del']) && isset($id)) {
	if(!dbcount("(*)", "pdp_downloads", "(license_id='$id')") != 0) {
		$ok = dbquery("DELETE FROM ".DB_PREFIX."pdp_licenses"
			." WHERE license_id='$id'");
	}
	fallback(FUSION_SELF);
}

/*
 * GUI
 */
opentable($locale['PDP800']);
pdp_admin_menu();


if(isset($_GET['edit']) || isset($_GET['new'])) {
	if(isset($id)) {
		$query_id = dbquery("SELECT license_id, license_text,"
			." license_name"
			." FROM ".DB_PREFIX."pdp_licenses"
			." WHERE license_id='$id'");
		$data = dbarray($query_id);
		$action = FUSION_SELF."?id=$id";
	} else {
		$data['license_text'] = "";
		$data['license_name'] = "";
		$action = FUSION_SELF;
	}
	echo "<form action='$action' method='POST'>
<div align='center'>
".$locale['PDP002'].": <input type='text' value='".$data['license_name']."'"
	." size='40' maxlength='255' name='name' class='textbox'>
<p>
<textarea cols='70' rows='15' class='textbox' name='text'>"
	.phpentities(stripslash($data['license_text']))."</textarea>
<p>
<input type='submit' value='".$locale['PDP010']."' class='button' name='save'>
</div>
<hr>
</form>\n";
	tablebreak();
}


/*
 * show all
 */
$query_id = dbquery("SELECT CHAR_LENGTH(license_text) AS length,"
	." license_id, license_name"
	." FROM ".DB_PREFIX."pdp_licenses"
	." ORDER BY license_name ASC");
if(dbrows($query_id)) {
	echo "<table align='center' cellspacing='1' class='tbl-border'>
<thead>
<tr>
	<th class='tbl2' width='16'></th>
	<th class='tbl2' width='150'>".$locale['PDP002']
		." [<a href='".FUSION_SELF."?new=1'>"
			.$locale['PDP003']."]</a></th>
	<th class='tbl2'>".$locale['PDP801']."</th>
	<th class='tbl2' colspan='2'># ".$locale['PDP004']."</th>
	<th class='tbl2' width='16'></th>
</tr>
</thead>
<tbody>";
} else {
	if(!isset($_GET['new'])) {
		fallback(FUSION_SELF."?new=1");
	}
	echo "<p>".$locale['PDP802'];
}
$tbl = "tbl1";
while($data = dbarray($query_id)) {
	$id = $data['license_id'];
	$count = dbcount("(*)", "pdp_downloads", "(license_id='$id')");
	if($count) {
		$del_icon = "<img src='../icons/nodelete.gif' alt=''>";
	} else {
		$del_icon = "<a href='".FUSION_SELF."?id=$id&amp;del=1'"
			." title='".$locale['PDP009']."'>"
				."<img src='../icons/delete.gif' alt=''"
					." border='0'></a>";
	}

	if($count) {
		$view_icon = "<a href='downloads.php?show=license&amp;id=$id'>"
			."<img src='../icons/view.gif' border='0' alt=''></a>";
	} else {
		$view_icon = "";
	}

	echo "<tr>
	<td class='$tbl'><a href='".FUSION_SELF."?id=$id&amp;edit=1'"
		." title='".$locale['PDP007']."'>"
		."<img src='../icons/edit.gif' alt='' border='0'></a></td>
	<td class='$tbl'>".$data['license_name']."</td>
	<td class='$tbl'>".$data['length']."</td>
	<td class='$tbl' width='16'>$view_icon</td>
	<td class='$tbl'>$count</td>
	<td class='$tbl'>$del_icon</td>
</tr>\n";
	$tbl = ($tbl=="tbl1" ? "tbl2" : "tbl1");
}
if(dbrows($query_id)) {
	echo "</tbody>
</table>\n";
}

closetable();

require_once(BASEDIR.'footer.php');
?>
