<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

require_once("include/common.php");


if(!$download->id) {
	fallback("index.php");
}


if(isset($_GET['pic_id']) && isNum($_GET['pic_id'])) {
	$pic_id = $_GET['pic_id'];
} else {
	$pic_id = 0;
}


$pic = '';


/*
 * GUI
 */
opentable($download->data['dl_name']);
echo "<a href='download.php?did=".$download->id."'>".$locale['PDP026']."</a>
<p>\n";



$links = array();
if(!empty($download->data['dl_pic'])) {
	$links[] = "<a href=''>".$download->data['dl_name']."</a>";
}

$query_id = dbquery("SELECT pic_id, pic_url, pic_desc
	FROM ".DB_PREFIX."pdp_images
	WHERE download_id='".$download->id."' AND pic_status='0'");
while($data = dbarray($query_id)) {
	if($data['pic_id']==$pic_id || !$pic_id) {
		$pic_id = $data['pic_id'];
		$pic = $data;
		$data['pic_desc'] = "<strong>".$data['pic_desc'].'</strong>';
	}

	$links[] = '<a href="'.FUSION_SELF."?did=".$download->id
		.'&amp;pic_id='.$data['pic_id'].'#img">'
		.$data['pic_desc'].'</a>';
}


if(!is_array($pic)) {
	$download->fallback();
}


echo '<div style="text-align: center;">
<a name="img"></a>
'.implode(' | ', $links).'
<p>
<img src="'.(!pdp_is_external($pic['pic_url'])
	? $pdp->settings['upload_image']
	: '')
	.$pic['pic_url'].'" alt="'.$pic['pic_desc'].'"><br />'
	.$pic['pic_desc'].'
</div>
';


closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
