<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once('../../maincore.php');
require_once(BASEDIR.'subheader.php');
require_once(BASEDIR.'side_left.php');

require_once('include/common.php');
require_once('include/theme_funcs.php');


//
unset($stext);
if(isset($_GET['stext']) && !empty($_GET['stext'])) {
	$stext = stripinput($_GET['stext']);
}


/*
 * GUI
 */
opentable($pdp->settings['title']);
pdp_menu();
echo "<hr>\n";


//$highlight = "<span class='poll'>\\1</span>";


if(isset($_GET['stype']) && isset($locale['pdp_search_type'][$_GET['stype']])) {
	$stype = $_GET['stype'];
} else {
	$stype = 'desc';
}

$search_type = '';
foreach($locale['pdp_search_type'] as $type => $title) {
	$search_type .= '<input type="radio" name="stype" value="'.$type.'"'
		.($stype==$type
			? " checked='checked'"
			: ''
		).' />'.$title;
}


echo '
<form action="search.php" method="get">
<input type="text" size="24" maxlength="24" name="stext" class="textbox" value="'.$stext.'" />
<input type="submit" value="'.$locale['PDP040'].'" class="button" /><br />
'.$locale['pdp_search'].': '.$search_type.'
</form>';


//
if(isset($stext) && strlen($stext) >= 3) {
	$downs = array();
	$get = array(
		'type'	=> $stype,
		'data'	=> $stext,
	);
	$count = pdpCore::get_downloads($get, 'dl_name ASC', 0, 0, false,
		$downs);

	echo '
<p>
<strong>'.$locale['PDP182'].': </strong>'.$stext.'
</p>
<p>
'.sprintf($locale['pdp_downloads_found'], $count).'
</p>';

	if($count) {
		pdp_render_downs($downs, 0, $pdp->settings['per_page'], $count,
			$link);
	}
/*
	foreach($downs as $data) {
		$desc = nl2br(parseubb($data['desc']));
		echo "<p><b><a href='download.php?did=".$data['id']."'>"
				.$data['name']."</a></b>\n<br>".$desc;
	}
*/

} else {
	echo $locale['PDP180'];
}


closetable();


require_once(BASEDIR.'side_right.php');
require_once(BASEDIR.'footer.php');
?>
