<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once('../../maincore.php');
require_once('include/common.php');

if(!$download->id) {
	fallback('download.php');
}
if(!$download->can_download) {
	$download->fallback_download();
}
/*
if(function_exists("pdp_start_download")) {
	pdp_start_download($download->id);
}
*/



if(isset($_GET['file_id']) && isNum($_GET['file_id'])) {
	$file_id = $_GET['file_id'];
} else {
	$file_id = 0;
}



/*
 *
 */
if($file_id) {
	$res = dbquery("SELECT file_url"
		." FROM ".DB_PREFIX."pdp_files"
		." WHERE file_id='$file_id' AND download_id='".$download->id."'"
			." AND file_status='0'");
	if(!dbrows($res)) {
		$download->fallback_download();
	}
	$fdata = dbarray($res);
} else {
	$res = dbquery("SELECT file_url"
		." FROM ".DB_PREFIX."pdp_files"
		." WHERE download_id='".$download->id."' AND file_status='0'"
		." ORDER BY file_timestamp DESC LIMIT 1");
	if(!dbrows($res)) {
		$download->fallback_download();
	}
	$fdata = dbarray($res);
}


if($download->data['lizenz_okay']=="N" || isset($_GET['dlok'])) {
	$url = "";
	$filename = "";
	$parse_url = true;

	if($file_id && !empty($fdata['file_url'])) {
		$url = $fdata['file_url'];
	} elseif(!empty($download->data['down'])) {
		$url = $download->data['down'];
	} else {
		$url = $download->data['link_extern'];
		$parse_url = false;
	}

	if($parse_url) {
		if(pdp_is_external($url)) {
			$downlink = $url;
		} else {
			$downlink = $pdp->settings['upload_file'].$url;
			$filename = pdp_cleanup_filename($url);
		}
	} else {
		$downlink = $url;
	}

	$update = dbquery("UPDATE ".DB_PREFIX."pdp_downloads
		SET
		dl_count=dl_count+1
		WHERE download_id='".$download->id."'");

	if(empty($filename)) {
//FIXME-reason for redirect?		redirect($downlink);
		fallback($downlink);
	} else {
		error_reporting(0);
		require_once(INCLUDES.'class.httpdownload.php');

//		@ini_set('zlib.output_compression', 'Off');

		ob_end_clean();
		$object = new httpdownload;
		$object->set_byfile($downlink);
		$object->use_resume = true;
		$object->download();
		// ob_end_clean();
/*
//		ignore_user_abort(true);
//		@set_time_limit(0);

		$size = filesize($downlink);

		header("Pragma: public");
		header("Content-Type: application/octet-stream");
		header("Content-Disposition: attachment; filename=\"$filename\"");
		header("Content-Length: ".$size);
		header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
		readfile($downlink);
*/
		exit;
	}

// show license
} else {
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");

	opentable($pdp->settings['title']);
	echo "<div align='center'><p><a href='download.php?did=".$download->id."'>"
		.$locale['PDP026']."</a></div>\n";;

	// get from database
	if($download->data['license_id']) {
		$res = dbquery("SELECT license_text, license_name"
			." FROM ".DB_PREFIX."pdp_licenses"
			." WHERE license_id='".$download->data['license_id']."'");
		$data = dbarray($res);

		echo "<p><h2>".$data['license_name']."</h2>\n"
			."<div style='max-height:320px; overflow:auto;'"
				." class='textbox'>\n"
			.stripslash(nl2br($data['license_text']))
			."\n</div>\n";

	//
	} else {
		if($download->data['lizenz_url']) {
			echo "<p><b>".$locale['PDP402']."</b>";
			echo "<p><b>".$locale['PDP404']."</b>";
			echo "<p><a href='http://".$download->data['lizenz_url']."'>"
				.$locale['PDP405']."</a>";

		} else {
			echo "<b>\n";
			if($download->data['lizenz_packet']=="Y") {
				echo "<p>".$locale['PDP402'];
				echo "<p>".$locale['PDP403'];
			} else {
				echo "<p>".$locale['PDP406'];
			}
			echo "</b>\n";
		}
	}

	// confirm dialog
	echo "
<div align='center'>
<form method='GET' action='".FUSION_SELF."'>
<input type='hidden' name='did' value='".$download->id."'>
<input type='hidden' name='file_id' value='$file_id'>
<p><input type='checkbox' name='dlok'> ".$locale['PDP400']."
<p><input type='submit' class='button' value='".$locale['PDP401']."'"
	." class='button'>
</form>
</div>\n";
	closetable();
require_once(BASEDIR.'side_right.php');
require_once(BASEDIR.'footer.php');
}

?>
