<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006-2008 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
if(!defined('IN_FUSION')) {
	die();
}


define("PDP_PRO_ON",	"Y");	// Y(es)	= online
define("PDP_PRO_OFF",	"N");	// N(o)		= offline
define("PDP_PRO_NEW",	"S");	// S(tep)	= in new-download-wizzard
define("PDP_PRO_DEL",	"D");	// D(elete)	= to delete
define("PDP_PRO_CHECK",	"C");	// C(heck)	= needs to be checked by admin.


define("PDP_PM_COMMENT",	1);
define("PDP_PM_NEW",		2);
define("PDP_PM_BROKEN",		3);
define("PDP_PM_CHANGES",	4);
define("PDP_PM_CHECK",		5);
define("PDP_PM_ACCEPTED",	6);
define("PDP_PM_SUBSCRIBERS",	7);


define("PDP_EV_INVALID",	0);
define("PDP_EV_NEW",		1);
define("PDP_EV_DESC",		2);
define("PDP_EV_FILEFTP",	3);
define("PDP_EV_FILEURL",	4);
define("PDP_EV_FILEUPLOAD",	5);
define("PDP_EV_DELFILE",	6);
define("PDP_EV_DELPIC",		7);
define("PDP_EV_PICUPLOAD",	8);
define("PDP_EV_PICFTP",		9);
define("PDP_EV_STATUS",		10);
define("PDP_EV_CHEAT",		11);
define("PDP_EV_CLEARLOG",	12);
define("PDP_EV_RESETBROKEN",	13);
define("PDP_EV_PICDESC",	14);
define("PDP_EV_PICURL",		15);
define("PDP_EV_PICSIZE",	16);
define("PDP_EV_SUBSCRIBE",	17);
define("PDP_EV_NEWCOMMENT",	18);
define("PDP_EV_BROKEN",		19);
define("PDP_EV_NEWDOWNLOAD",	20);
define("PDP_EV_CHECK",		21);
define("PDP_EV_PUBLISHED",	22);
define('PDP_EV_RESETVISITORS',	23);





class pdpCore {
	var $settings = array();

	function pdpCore() {
		$res = @mysql_query("SELECT *"
			." FROM ".DB_PREFIX."pdp_settings"
			." WHERE id='1'");
		if($res && dbrows($res)) {
			$this->settings = dbarray($res);
		} else {
			$this->settings = array(
				"version"	=> "--update--",//FIXME
				"uploadbereich"	=> "103",
				"user_edit"	=> "0",
				"mod_grp"	=> "103",
				"need_verify"	=> "yes",
			);
		}

		if(!isset($this->settings['upload_file'])
			|| empty($this->settings['upload_file'])) {
			$this->settings['upload_file'] = "infusions/pro_download_panel/downloads/";
		}
		if(!isset($this->settings['upload_image'])
			|| empty($this->settings['upload_image'])) {
			$this->settings['upload_image'] = "infusions/pro_download_panel/images/";
		}

		$this->settings['upload_file'] = BASEDIR.$this->settings['upload_file'];
		$this->settings['upload_image']= BASEDIR.$this->settings['upload_image'];
	}

	/* this is work-around php fusion's group_id-bug */
	function check_access($group_id) {
		if(iSUPERADMIN) {
			return true;
		}
		switch($group_id) {
		case 101: return iMEMBER;
		case 102: return iADMIN;
		case 103: return iSUPERADMIN;
		default:  return checkGroup($group_id);
		}
	}


	/*
	 * $get = array(
	 *   'type' => 'none' or 'cat' or 'desc' or 'user',
	 *   'data' => $cat_id or $stext,
	 * );
	 * return value: number of downloads matching criteria
	 */
	function get_downloads($get, $sorting, $rowstart, $limit,
		$simple_results, &$ret_downs, $need_all_count=true)
	{
		global $userdata, $pdp;

		$ret_downs = array();
		$where = array();

		/* see original code below */
		$where[] = "dl_status='".PDP_PRO_ON."'";
		if(empty($catid)) {
			$where[] = groupaccess('cat_access');
		}
	/*FIXME
		if(iPDP_ADMIN) {
			;
		} elseif(iMEMBER) {
			$where[] = "dl_status='".PDP_PRO_ON."'";
	//		$where[] = "dl_status!='".PDP_PRO_DEL."'";
	//		$where[] = "dl_status!='".PDP_PRO_CHECK."'";
			$where[] = "(dl_status!='".PDP_PRO_OFF."'"
				." OR dl.user_id='".$userdata['user_id']."')";
			if(empty($catid)) {
				$where[] = groupaccess("cat_access");
			}
		} else {
			$where[] = "dl_status='".PDP_PRO_ON."'";
			if(empty($catid)) {
				$where[] = groupaccess("cat_access");
			}
		}
	*/

		switch($get['type']) {
		case 'cat':
			$where[] = "dl.cat_id='".$get['data']."'";
			break;
		case 'desc':
			$stext = mysql_real_escape_string($get['data']);
			$where[] = "(dl_name LIKE '%".$stext."%' OR dl_desc LIKE '%".$stext."%' OR dl_abstract LIKE '%".$stext."%')";
			break;
		case 'user':
			$stext = mysql_real_escape_string($get['data']);
			$where[] = "user_name LIKE '%".mysql_real_escape_string($get['data'])."%'";
			break;
		default:
			break;
		}

		if(count($where)) {
			$where = "WHERE ".implode(' AND ', $where);
		} else {
			$where = "";
		}

		$query = "SELECT";
		if($need_all_count) {
			$query .= " SQL_CALC_FOUND_ROWS";
		}
		$query .= " dl.download_id, dl_name, dl_count, dl.user_id,"
			." hide_user, fu.user_name, count_votes,"
			." count_comments, count_visitors, avg_vote";
		if(!$simple_results) {
			$query .= ", dl.cat_id, version, dl_status,"
			." dl_ctime, dl_pic, dl_mtime,"
			." dl_desc, dl_abstract,"
			." IF(LENGTH(dl_abstract), dl_abstract, dl_desc) AS tmp_desc";
		}
		$query .= " FROM ".DB_PREFIX."pdp_downloads AS dl"
			." LEFT JOIN ".DB_PREFIX."users AS fu"
				." ON fu.user_id=dl.user_id"
			." LEFT JOIN ".DB_PREFIX."pdp_cats AS c"
				." ON dl.cat_id=c.cat_id"
			." ".$where
			." ORDER BY dl.".$sorting;
		if($limit) {
			$query .= " LIMIT $rowstart, $limit";
		}
		$res = dbquery($query);
		if($need_all_count) {
			$all_rows = array_shift(dbarray(dbquery("SELECT FOUND_ROWS()")));
		} else {
			$all_rows = 0;
		}

		// show
		while($data = dbarray($res)) {
			$down = array(
				'id'		=> $data['download_id'],
				'name'		=> $data['dl_name'],
				'count'		=> $data['dl_count'],
			);

			if(!$simple_results) {
				$down['status']	= $data['dl_status'];
				$down['pic']	= $data['dl_pic'];
				$down['href']	= "download.php?did=".$data['download_id'];
				$down['desc']	= nl2br(parseubb($data['tmp_desc']));
				$down['long_desc']	= nl2br(parseubb($data['dl_desc']));
				$down['short_desc']	= nl2br(parseubb($data['dl_abstract']));
				$down['mtime']	= $data['dl_mtime'];//rename->mdate?
				$down['ctime']	= $data['dl_ctime'];
				$down['downloads']= $data['dl_count'];
				$down['cat_id']	= $data['cat_id'];
				$down['comments'] = $data['count_comments'];
				$down['votes'] = $data['count_votes'];
				$down['visitors'] = $data['count_visitors'];
				$down['avg_vote'] = $data['avg_vote'];
				$down['is_new']	= ($data['dl_mtime']
					> (time()-$pdp->settings['new_days_long']*3600*24));
			}
			if($pdp->settings['hide_user_allow']=="yes"
				&& $data['hide_user']=="yes" && !iPDP_ADMIN
				&& (!iMEMBER || $userdata['user_id']!=$data['user_id'])) {
				$down['user_id'] = 0;
			} else {
				$down['user_id'] = $data['user_id'];
				$down['user_name'] = $data['user_name'];
			}
			$ret_downs[] = $down;
		}

		return $all_rows;
	}




};
$pdp = new pdpCore();


$pdp_sorting = "dl_name ASC";//FIXME
$pdp_sorting = "dl_mtime DESC";
$pdp_sorting = "dl_ctime DESC";

define('iPDP_ADMIN',	checkrights("IP"));
define('iPDP_MOD',	iPDP_ADMIN || pdpCore::check_access($pdp->settings['mod_grp']));
define('iPDP_CAN_VIEW', pdpCore::check_access($pdp->settings['downbereich']));
define('iPDP_BROKEN',	$pdp->settings['defektpm']
	&& pdpCore::check_access($pdp->settings['broken_access']));



/****************************************************************************
 * LOAD LOCALES
 */
if($pdp->settings['use_utf8_locales']) {
	$path = INFUSIONS.'pro_download_panel/locale_utf8/';
} else {
	$path = INFUSIONS.'pro_download_panel/locale/';
}

if(file_exists($path.$settings['locale'].'.php')) {
	include($path.$settings['locale'].'.php');
} else {
	include(INFUSIONS.'pro_download_panel/locale/English.php');
}


?>
