<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006-2007 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once(BASEDIR."side_left.php");


require_once("include/common.php");
require_once("include/theme_funcs.php");

if(!iPDP_MOD) {
	fallback("index.php");
}


/*
 * GUI
 */
opentable($locale['PDP600']);
pdp_menu();


echo "<hr>\n";
$query_id = dbquery("SELECT download_id, dl_name,"
	." IF(dl_status='".PDP_PRO_ON."', 'broken', dl_status) as dl_status"
	." FROM ".DB_PREFIX."pdp_downloads"
	." WHERE dl_status!='".PDP_PRO_ON."' OR dl_broken_count>0"
	." ORDER BY dl_status ASC, dl_name ASC");
if(!dbrows($query_id)) {
	echo $locale['PDP602'];
}
$status = "";
while($data = dbarray($query_id)) {
	if($status != $data['dl_status']) {
		if(!empty($status)) {
			echo "</ul>\n";
		}
		$status = $data['dl_status'];
		echo "<strong>".$locale['PDP601'][$status].":</strong>\n<ul>\n";
	}
	echo "<li><a href='edit_admin.php?did=".$data['download_id']."'>"
		.$data['dl_name']."</a></li>\n";
}
if(dbrows($query_id)) {
	echo "</ul>\n";
}


closetable();


require_once(BASEDIR."side_right.php");
require_once(BASEDIR."footer.php");
?>
